{% extends 'main/base.html' %}
{% load static %}
{% block css %}
  <link rel="stylesheet" href="{% static "schedule/css/schedule-control.css" %}">
{% endblock %}
{% block title %}Управление{% endblock %}
{% load django_bootstrap_breadcrumbs %}
{% block breadcrumbs %}
  {{ block.super }}
  {% breadcrumb 'Расписание' "schedule:index" %}
  {% breadcrumb 'Управление' "schedule:control" %}
{% endblock %}
{% block content %}
  {% render_breadcrumbs %}
  <section class="container-fluid flex-grow">
    <h3>Управление</h3>
    <div id="progress-wrapper">
      <div class="progress">
        <div class="progress-bar" role="progressbar" style="width: 0%;" aria-valuenow="0" aria-valuemin="0"
             aria-valuemax="100">0
        </div>
      </div>
    </div>
    <br>
    <a class="btn btn-outline-primary" href="{% url "schedule:clear" "files" %}" role="button">clear files</a>
    <a class="btn btn-outline-primary" href="{% url "schedule:clear" "periods"%}" role="button">clear periods</a>
    <a class="btn btn-outline-primary" href="{% url "schedule:download" %}" role="button">Скачать файлы</a>
    <a class="btn btn-outline-primary" href="{% url "schedule:identify" %}" role="button">Определить файлы</a>
    <a class="btn btn-outline-primary" href="{% url "schedule:celery_test" %}" role="button">celery test</a>
    <a class="btn btn-outline-primary" href="{% url "schedule:parse_baks" %}" role="button">parse_baks</a>
    {% regroup file_list by get_category_display as grouped_list %}
    <ul>
      {% for category in grouped_list %}
        <li>
          <h6>{{ category.grouper }}</h6>
          <ul>
            {% for file in category.list %}
              <li><a href="parse/{{ file.id }}">Распарсить </a><a href="{{ file.file.url }}"> <i
                  class="far fa-file"></i></a> {{ file }} </li>
            {% endfor %}
          </ul>
        </li>
      {% endfor %}
    </ul>
  </section>
{% endblock %}
{% block js %}
  <script type="text/javascript">
      data = $.getJSON('{% url 'schedule:poll_state' %}?job={{ job_id }}', function (data) {
          return data;
      });

      for (let i = 0; i < 10; i++) {
          console.log(data);
          if (data['total']) {
              console.log('connencted');
              break;
          }
      }
      var i = 0;
      var total = 50;
      var current = 0;

      {#function makeProgress() {#}
      {#    if (i < total) {#}
      {#        $.getJSON('{% url 'schedule:poll_state' %}?job={{ job_id }}', function (data) {#}
      {#console.log('http://ippo.it/schedule/poll_state?job={{ job_id }}');#}
      {#            console.log(data);#}
      {#            if (data['current'] > 0) {#}
      {#                current = data['current'];#}
      {#                total = data['total'];#}
      {#                var siz = current * 100 / total;#}
      {#                $(".progress-bar").css("width", siz + "%").text(current);#}
      {#                $(".progress-bar").css("aria-valuemax", total);#}
      {#                i = current#}
      {#            }#}
      {#        });#}
      {##}
      {#    }#}
      {##}
      {#    // Wait for sometime before running this script again#}
      {#    setTimeout("makeProgress()", 100);#}

      #}#}
      {##}
      {#makeProgress();#}
  </script>
{% endblock %}